## org.aspectj.lang
Interface ProceedingJoinPoint

All Superinterfaces:
  JoinPoint

    public interface ProceedingJoinPoint

extends JoinPoint

ProceedingJoinPoint exposes the proceed(..) method in order to support around advice in @AJ aspects

Author:
  Alexandre Vasseur

Nested Class Summary

Nested classes/interfaces inherited from interface org.aspectj.lang.JoinPoint
`JoinPoint.EnclosingStaticPart, JoinPoint.StaticPart`

Field Summary

Fields inherited from interface org.aspectj.lang.JoinPoint
`ADVICE_EXECUTION, CONSTRUCTOR_CALL, CONSTRUCTOR_EXECUTION, EXCEPTION_HANDLER, FIELD_GET, FIELD_SET, INITIALIZATION, METHOD_CALL, METHOD_EXECUTION, PREINITIALIZATION, STATICINITIALIZATION, SYNCHRONIZATION_LOCK, SYNCHRONIZATION_UNLOCK`

Method Summary
`java.lang.Object` `proceed()` Proceed with the next advice or target method invocation
`java.lang.Object` `proceed(java.lang.Object[] args)` Proceed with the next advice or target method invocation The given args Object[] must be in the same order and size as the advice signature but without the actual joinpoint instance
`void` `set$AroundClosure(org.aspectj.runtime.internal.AroundClosure arc)` The joinpoint needs to know about its closure so that proceed can delegate to closure.run() This internal method should not be called directly, and won't be visible to the end-user when packed in a jar (synthetic method)

Methods inherited from interface org.aspectj.lang.JoinPoint
`getArgs, getKind, getSignature, getSourceLocation, getStaticPart, getTarget, getThis, toLongString, toShortString, toString`

Method Detail

### set$AroundClosure

    void set$AroundClosure(org.aspectj.runtime.internal.AroundClosure arc)

  The joinpoint needs to know about its closure so that proceed can delegate to closure.run()

  This internal method should not be called directly, and won't be visible to the end-user when packed in a jar (synthetic method)

  Parameters:
    `arc` -

### proceed

    java.lang.Object proceed()
                             throws java.lang.Throwable

  Proceed with the next advice or target method invocation

  Returns:
  Throws:
    `java.lang.Throwable`

### proceed

    java.lang.Object proceed(java.lang.Object[] args)
                             throws java.lang.Throwable

  Proceed with the next advice or target method invocation

  The given args Object[] must be in the same order and size as the advice signature but without the actual joinpoint instance

  Parameters:
    `args` -
  Returns:
  Throws:
    `java.lang.Throwable`